Subject: [bug#49610] [PATCH v4 2/2] doc: guix.texi: Clarify wording in Channels section.

From: Antero Mejr <[email-masked]>
Date: Fri, 26 May 2023 16:26:06 +0000

* doc/guix.texi (Channels): Specify that '/etc/guix/channels.scm'
contains channels configuration.
---
 doc/guix.texi | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 9ebdf70d81..643a36358d 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -5396,14 +5396,15 @@ $ wget -O - \
 @cindex configuration of @command{guix pull}
 Guix and its package collection are updated by running @command{guix pull}
 (@pxref{Invoking guix pull}).  By default @command{guix pull} downloads and
-deploys Guix itself from the official GNU@tie{}Guix repository.  This can be
-customized by defining @dfn{channels} in the
-@file{~/.config/guix/channels.scm} file.  A channel specifies a URL and branch
-of a Git repository to be deployed, and @command{guix pull} can be instructed
-to pull from one or more channels.  In other words, channels can be used
-to @emph{customize} and to @emph{extend} Guix, as we will see below.
-Guix is able to take into account security concerns and deal with authenticated
-updates.
+deploys Guix itself from the official GNU@tie{}Guix repository.  A
+channel specifies a URL and branch customized by defining @dfn{channels}
+in the @file{~/.config/guix/channels.scm} file, and/or the
+@file{/etc/guix/channels.scm} file and/or the built-in default specified
+in the @code{%default-channels} variable.  Guix honors the channels file
+in that previous order (@xref{Invoking guix pull}).  In other words,
+channels can be used to @emph{customize} and to @emph{extend} Guix, as
+we will see below.  Guix is able to take into account security concerns
+and deal with authenticated updates.
 
 @menu
 * Specifying Additional Channels::  Extending the package collection.
-- 
2.39.2